<?php
error_reporting(0);
/*
//////////////////////////////////////////////////////
kada se korisnik logira, njegov id i username se spremaju u session varijable. 

$log_username - username
$log_username_id - id logiranog usera

//////////////////////////////////////////////////////

sva prava usera se učitavaju u fajli func/menu.php gdje se i iscrtava glavni meni. 
varijable imaju prefiks "prava_":

$prava_power_user
$prava_limit_user
$prava_pristup_admin
$prava_pristup_vijesti
$prava_prava_vijesti_kat
$prava_pristup_upload
$prava_prava_upload_kat
$prava_pristup_sadrzaj
$prava_rubrika_uredi
$prava_kategorija_uredi
$prava_kategorija_dodaj
$prava_stranica_dodaj
$prava_paragraf_php

parametri stranica se učitavaju u fajli func/menu.php gdje se i iscrtava glavni meni. 
varijable imaju prefiks "parametar_":

parametar_insert_opis : off
parametar_domena 	: http://www.cpo-vinkovci.hr/
parametar_stylesheet_dodaj 	: 1
parametar_stylesheet_init 	: qubikas.css
parametar_upload_direktorij 	: ../upload/paragraf/
parametar_slike_direktorij 	: ../slike/sadrzaj/
parametar_tekst_direktorij 	: ../inc/
parametar_inc_model 	: 4
parametar_inc_naslov 	 
parametar_inc_opis 	: prvi paragraf
parametar_inc_tekst 	: neki tekst
parametar_inc_maxpic 	: 3
parametar_inc_thumb_sirina 	: 150
parametar_inc_thumb_visina 	: 133
parametar_inc_big_sirina 	: 800
parametar_inc_big_visina 	: 600
parametar_dontdel_stranice	:1
parametar_dontdel_kategorija	:1
parametar_dontdel_paragraf	:1
//////////////////////////////////////////////////////
*/
session_start();
// if session variable not set, redirect to login page
if (!isset($_SESSION['authenticated'])) {
	header('Location: index.php');
	exit;
}
//definiraj koji je korisnik logiran
$log_username=$_SESSION['user_name'];
$log_username_id=$_SESSION['authenticated'];

//za sigurnost
define("SIGURICA", "webadmin");

//ucitaj funkcije
include ("func/corefunc.php");

nukeMagicQuotes();
$modul = $_REQUEST['modul'];
$akcija = $_REQUEST['akcija'];

//spoji se na bazu
include ("func/db_func.php");
$conn = db_connect($mysql_hosname,$mysql_username,$mysql_password,$mysql_database);

if (!$conn) die ('Dogodila se greška pri spajanju na bazu!');
mysql_set_charset('utf8',$conn);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WEBADMIN</title>
<script type="text/javascript" src="func/tooltip.js"></script>
<script type="text/javascript" src="func/required.js"></script>
<script type="text/javascript" src="jquery/jquery1_3_2.js"></script>
<script type="text/javascript" src="jquery/ui_core.js"></script>
<script type="text/javascript" src="jquery/ui_datepicker.js"></script>

<link href="qubikas.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="jquery-ui.css" />
</head>

<body>
<div id="header">
<strong>Logiran:</strong> <?php echo $log_username;?>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="glavna.php?modul=change_pass">Promjena passworda</a>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href="index.php?akcija=logout">Logout</a>
</div>
<?php
//učitavanje prava i ispis menija
include ("menu.php");
?>
<div id="kontejner">
<?php
//ispis sadrzaja
switch ($modul) {
	case 'admin' :
		include ("moduli/admin/index.php");
	break;
	case 'site_admin' :
		include ("moduli/site_admin/index.php");
	break;
	case 'vijesti' :
		include ("moduli/vijesti/index.php");
	break;
	case 'sadrzaj' :
		include ("moduli/sadrzaj/index.php");
	break;
	
	case 'fondovi' :
		include ("moduli/fondovi/index.php");
	break;
	
	case 'change_pass' :
		include ("form_change_pass.php");
	break;
	case 'update_pass' :
		include ("update_pass.php");
	break;
	default:
		include ("wellcome.php");
	break;
}
?>
</div>
</body>
</html>
